--
--  AppDelegate.applescript
--  Currency Converter
--
--  Created by Ben Waldie on 10/7/12.
--  Copyright (c) 2012 Automated Workflows, LLC. All rights reserved.
--

script AppDelegate
	property parent : class "NSObject"
	
	property theExchangeRate: 0.77
	property theDollars: 1984.00
	property theAmountField: missing value
	
	on applicationWillFinishLaunching_(aNotification)
		-- Insert code here to initialize your application before any files are opened 
	end applicationWillFinishLaunching_
	
	on applicationShouldTerminate_(sender)
		-- Insert code here to do any housekeeping before your application quits 
		return current application's NSTerminateNow
	end applicationShouldTerminate_
	
	on performConversion_(sender)
		setFloatValue_(theExchangeRate * theDollars) of theAmountField
	end performConversion_
	
end script